Loading...
Searching...
No Matches
Ogre::Lod0Stripifier Class Reference

`#include <OgreLod0Stripifier.h>`

## Classes

struct | RemapInfo

## Public Member Functions

| Lod0Stripifier ()
| ~Lod0Stripifier ()
bool | StripLod0Vertices (const MeshPtr &mesh, bool stableVertexOrder=false)

## Constructor & Destructor Documentation

## Lod0Stripifier()

Ogre::Lod0Stripifier::Lod0Stripifier | ( |  | ) |

inline

## ~Lod0Stripifier()

Ogre::Lod0Stripifier::~Lod0Stripifier | ( |  | ) |

inline

## Member Function Documentation

## StripLod0Vertices()

bool Ogre::Lod0Stripifier::StripLod0Vertices | ( | const MeshPtr & | mesh,
|  | bool | stableVertexOrder = false )

inline

References Ogre::Animation::_getVertexTrackList(), Ogre::Mesh::_setLodInfo(), Ogre::Mesh::_setLodUsage(), Ogre::Mesh::buildEdgeList(), Ogre::Mesh::freeEdgeList(), Ogre::Mesh::getAnimation(), Ogre::Mesh::getHardwareBufferManager(), Ogre::Mesh::getLodLevel(), Ogre::Mesh::getNumAnimations(), Ogre::Mesh::getNumLodLevels(), Ogre::Mesh::getNumSubMeshes(), Ogre::Mesh::getPoseList(), Ogre::Mesh::getSubMesh(), Ogre::Pose::getTarget(), Ogre::Mesh::hasManualLodLevel(), Ogre::SubMesh::indexData, Ogre::Mesh::isEdgeListBuilt(), Ogre::SubMesh::mLodFaceList, Ogre::Mesh::sharedVertexData, Ogre::SubMesh::useSharedVertices, and Ogre::SubMesh::vertexData.

The documentation for this class was generated from the following file:

- OgreLod0Stripifier.h